// Реализовать функцию для подсчета n-го обобщенного числа Фибоначчи. 

// Технические требования:

// Написать функцию для подсчета n-го обобщенного числа Фибоначчи. 
// Аргументами на вход будут три числа - F0, F1, n, где F0, F1 - первые два числа последовательности 
// (могут быть любыми целыми числами), n - порядковый номер числа Фибоначчи, которое надо найти. 
// Последовательнось будет строиться по следующему правилу F2 = F0 + F1, F3 = F1 + F2 и так далее.
// Считать с помощью модального окна браузера число, которое введет пользователь (n).
// С помощью функции посчитать n-е число в обобщенной последовательности Фибоначчи и вывести его на экран.
// Пользователь может ввести отрицательное число - результат надо посчитать по такому же правилу (F-1 = F-3 + F-2).

let n;

do {
    n = +prompt('Enter you number');
} while (n === null || isNaN(n));

function fibonacci(n) {
    if (n < 0) {
        if (n === -1) {
            return 1;
        } else {
            return fibonacci(n + 2) - fibonacci(n + 1);
        }
    } else if (n > 0) {
        if (n === 1 || n === 2) {
            return 1
        } else {
            return fibonacci(n - 1) + fibonacci(n - 2);
        }
    } else if (n === 0) {
        return 0
    }
}
console.log(fibonacci(n));